Subject: bug#78672: closed (Re: [PATCH] gnu: ngtcp2: Update to 1.13.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Jun 2025 13:28:02 +0000

Your bug report

#78672: [PATCH] gnu: ngtcp2: Update to 1.13.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78672: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78672
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: ngtcp2: Update to 1.13.0.
From: Andreas Enge <[email-masked]>
To: Tomas Volf <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Jun 2025 15:27:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Fri, Jun 13, 2025 at 10:06:05PM +0200 schrieb Tomas Volf:
> Andreas Enge <[email-masked]> writes:
> > the update breaks vlang:
> Well, as usual, builds for me:

Ah, I see, it also does for me (after spending ages building node);
so I have just pushed; if these are random failures, I do not think the
situation will be worse after that.

> Maybe I should just stop touching these two libraries unless necessary.
> It seems I have picked somewhat fragile part of Guix to send patches
> for. :/

Ah, your choice! :-)  But what can we do, we also need to update brittle
software shipped with Guix.

Andreas

Subject: [PATCH] gnu: ngtcp2: Update to 1.13.0.
From: Tomas Volf <[email-masked]>
To: [email-masked]
Cc: Tomas Volf <[email-masked]>
Date: Mon, 2 Jun 2025 19:49:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/networking.scm (ngtcp2): Update to 1.13.0.

Change-Id: Ie83ea3dc6920c80b246cffd7678d53dbaba5f228
---
 gnu/packages/networking.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index e2d8f271b7..27c7d8ae8f 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -4691,7 +4691,7 @@ (define-public nbd
 (define-public ngtcp2
   (package
     (name "ngtcp2")
-    (version "1.12.0")
+    (version "1.13.0")
     (source
      (origin
        (method url-fetch)
@@ -4699,7 +4699,7 @@ (define-public ngtcp2
                            "releases/download/v" version "/"
                            "ngtcp2-" version ".tar.gz"))
        (sha256
-        (base32 "047glkg71rikj7s46jb9aaipqn13arzz0pvph5kg66f0pz4zb2n0"))))
+        (base32 "1sik0rlpar1dk46ahssv59ik1w360v97hydzari77m8khfjscxd1"))))
     (build-system gnu-build-system)
     (arguments
      (list
-- 
2.49.0